### Function

# Pango attr_underline_new

#### Declaration [src]

    PangoAttribute*
    pango_attr_underline_new (
      PangoUnderline underline
    )

#### Description [src]

Create a new underline-style attribute.

#### Parameters

`underline`

  Type: `PangoUnderline`

  The underline style.

#### Return value

Type: `PangoAttribute`

The newly allocated `PangoAttribute`, which should be freed with `pango_attribute_destroy()`.

The caller of the function takes ownership of the data, and is responsible for freeing it.